unit UClientConnect;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TConnectFrm = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    txtHost: TEdit;
    txtPort: TEdit;
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ConnectFrm: TConnectFrm;

implementation

{$R *.dfm}

uses
  UClient;

procedure TConnectFrm.Button1Click(Sender: TObject);
begin
  Application.Terminate;  // ukonen aplikace
end;

procedure TConnectFrm.Button2Click(Sender: TObject);
label
  konec;
begin
  // upozornn uivatele pi ppadu nevyplnn nkter poloky
  if (trim(txthost.text) = '') and (trim(txtport.text) = '') then begin
    MessageBox(Handle, 'Nevyplnili jste ani jedno z pol. Dosazeno bude ''localhost'' a port ''80''.', 'Implicitn hodnoty', MB_ICONINFORMATION);
    goto konec;
  end else if (trim(txthost.text) = '') and (trim(txtport.text) <> '') then begin
    MessageBox(Handle, 'Nevyplnili jste hostujc pota. Dosazeno bude ''localhost''.', 'Implicitn hodnota', MB_ICONINFORMATION);
    try  // pokud v poli Port nebude cel slo, vyhod se chyba
      ClientFrm.http.Port := strtoint(txtPort.text);
    except
      MessageBox(Handle, 'Jako port je teba zadat cel slo nebo nic!', 'Chyba', MB_ICONERROR);
      exit;
    end;
    goto konec;
  end else if (trim(txthost.text) <> '') and (trim(txtport.text) = '') then begin
    MessageBox(Handle, 'Nevyplnili jste port. Dosazeno bude ''80''.', 'Implicitn hodnota', MB_ICONINFORMATION);
    ClientFrm.http.Host := txtHost.Text;
  end;

  ClientFrm.http.Host := txtHost.Text;  // nastavme hostujc pota na
                                        // hlavnm formuli

  try  // pokud v poli Port nebude cel slo, vyhod se chyba
    ClientFrm.http.Port := strtoint(txtPort.text);
  except
    MessageBox(Handle, 'Jako port je teba zadat cel slo nebo nic!', 'Chyba', MB_ICONERROR);
    exit;
  end;

  konec:  // zde bude procedura pokraovat, bude-li ve v podku
  clientfrm.http.Tag := 0;  // ulome do promnn, e vyplnn
                            // pipojovacho formule probhlo O.K.
  close;
end;

end.
